Qwt User's Guide: QwtArrowButton Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtArrowButton Class Reference

List of all members.

## Detailed Description

Arrow Button.

A push button with one or more filled triangles on its front. An Arrow button can have 1 to 3 arrows in a row, pointing up, down, left or right.

Definition at line 23 of file qwt_arrow_button.h.

## Public Member Functions
| QwtArrowButton (int num, Qt::ArrowType, QWidget *parent=NULL)
virtual | ~QwtArrowButton ()
Qt::ArrowType | arrowType () const
int | num () const
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
## Protected Member Functions
virtual void | paintEvent (QPaintEvent *event)
virtual void | drawButtonLabel (QPainter *p)
virtual void | drawArrow (QPainter *, const QRect &, Qt::ArrowType) const
virtual QRect | labelRect () const
virtual QSize | arrowSize (Qt::ArrowType, const QSize &boundingSize) const
virtual void | keyPressEvent (QKeyEvent *)

## Constructor & Destructor Documentation

QwtArrowButton::QwtArrowButton | ( | int | num,
|  | Qt::ArrowType | arrowType,
|  | QWidget * | parent = `NULL`
| ) | `[explicit]`

  | Parameters:
  | num | Number of arrows
  | arrowType | see Qt::ArowType in the Qt docs.
  | parent | Parent widget
Definition at line 58 of file qwt_arrow_button.cpp.

QwtArrowButton::~QwtArrowButton | ( |  | ) | `[virtual]`

| Destructor. Definition at line 83 of file qwt_arrow_button.cpp.

## Member Function Documentation

QSize QwtArrowButton::arrowSize | ( | Qt::ArrowType | arrowType,
|  | const QSize & | boundingSize
| ) | const`[protected, virtual]`

  | Calculate the size for a arrow that fits into a rect of a given size Parameters:
  | arrowType | Arrow type
  | boundingSize | Bounding size
Returns: Size of the arrow Definition at line 331 of file qwt_arrow_button.cpp. Referenced by drawButtonLabel(), and minimumSizeHint().

Qt::ArrowType QwtArrowButton::arrowType | ( |  | ) | const

| The direction of the arrows. Definition at line 92 of file qwt_arrow_button.cpp.

void QwtArrowButton::drawArrow | ( | QPainter * | painter,
|  | const QRect & | r,
|  | Qt::ArrowType | arrowType
| ) | const`[protected, virtual]`

  | Draw an arrow int a bounding rect Parameters:
  | painter | Painter
  | r | Rectangle where to paint the arrow
  | arrowType | Arrow type
Definition at line 240 of file qwt_arrow_button.cpp. Referenced by drawButtonLabel().

void QwtArrowButton::drawButtonLabel | ( | QPainter * | painter | ) | `[protected, virtual]`

  | Draw the button label. Parameters:
  | painter | Painter
See also: The Qt Manual on QPushButton Definition at line 157 of file qwt_arrow_button.cpp. References arrowSize(), drawArrow(), and labelRect(). Referenced by paintEvent().

void QwtArrowButton::keyPressEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

| autoRepeat for the space keys Definition at line 361 of file qwt_arrow_button.cpp.

QRect QwtArrowButton::labelRect | ( |  | ) | const`[protected, virtual]`

| Returns: the bounding rect for the label Definition at line 108 of file qwt_arrow_button.cpp. Referenced by drawButtonLabel().

QSize QwtArrowButton::minimumSizeHint | ( |  | ) | const`[virtual]`

| Return a minimum size hint. Definition at line 294 of file qwt_arrow_button.cpp. References arrowSize(). Referenced by sizeHint().

int QwtArrowButton::num | ( |  | ) | const

| The number of arrows. Definition at line 100 of file qwt_arrow_button.cpp.

void QwtArrowButton::paintEvent | ( | QPaintEvent * | event | ) | `[protected, virtual]`

  | Paint event handler Parameters:
  | event | Paint event
Definition at line 143 of file qwt_arrow_button.cpp. References drawButtonLabel().

QSize QwtArrowButton::sizeHint | ( |  | ) | const`[virtual]`

| Returns: a size hint Definition at line 286 of file qwt_arrow_button.cpp. References minimumSizeHint().